Request the current server configuration
GET /api
Response
200 — The current server configuration
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ServerUristring
Example Response
JSON
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ServerUri": "string"
}Set the server configuration
PUT /api
Request Body
ServerUristring (required)
Response
200 — The updated server configuration
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ServerUristring
Example Request
JSON
{
"ServerUri": "string"
}Example Response
JSON
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ServerUri": "string"
}Request the current server configuration settings
GET /api
Response
200 — The current server configuration settings
ConfigurationSetstringConfigurationValuesarray of objectDescriptionstringKeystringValuestring
Example Response
JSON
[
{
"ConfigurationSet": "string",
"ConfigurationValues": [
{
"Description": "string",
"Key": "string",
"Value": "string"
}
]
}
]